# Interface NativeLibraryRequirement

@Incubating public interface NativeLibraryRequirement
A dependency on a native library within the build.

## Method Summary

Modifier and Type
Method
Description
`String`
`getLibraryName()`
The name of the required library.
`String`
`getLinkage()`
The required linkage.
`String`
`getProjectPath()`
The path to the project containing the library.
`NativeLibraryRequirement`
`withProjectPath(String projectPath)`
Creates a copy of this requirement with the specified project path

## Method Details

### getProjectPath

String getProjectPath()
The path to the project containing the library.

### getLibraryName

String getLibraryName()
The name of the required library.

### getLinkage

String getLinkage()
The required linkage.

### withProjectPath

NativeLibraryRequirement withProjectPath(String projectPath)
Creates a copy of this requirement with the specified project path